RSTT: taup::VZero< V > Class Template Reference

RSTT 3.1.0 Regional Seismic Travel Time

Public Member Functions | List of all members
taup::VZero< V > Class Template Reference

A function object used to zero-in on the velocity at r that gives the input ray parameter (vzP). The operator() returns r - vzP * vzV(r) where r is input and vzP is set and vzV(r) is the velocity function. This function object is used when r cannot be solved for explicitly. More...

`#include <TPVelocityModels.h>`

## Public Member Functions
| VZero (double p, V &v)
| Standard constructor. More...
| VZero (const VZero &vz)
| Copy constructor. More...
virtual | ~VZero ()
| Destructor. More...
VZero & | operator= (const VZero &vz)
| Assignment operator. More...
double | operator() (double r)

## Detailed Description

### template<class V>
class taup::VZero< V >

A function object used to zero-in on the velocity at r that gives the input ray parameter (vzP). The operator() returns r - vzP * vzV(r) where r is input and vzP is set and vzV(r) is the velocity function. This function object is used when r cannot be solved for explicitly.

Definition at line 2262 of file TPVelocityModels.h.

## Constructor & Destructor Documentation

## ◆ VZero() [1/2]

template<class V >

taup::VZero< V >::VZero | ( | double | p,
|  | V & | v
| ) |  |
| inline

Standard constructor.

Sets the velocity model, v, and the ray parameter, p, that will be used by a Brents function to zero-in on r.

Definition at line 2272 of file TPVelocityModels.h.

## ◆ VZero() [2/2]

template<class V >

taup::VZero< V >::VZero | ( | const VZero< V > & | vz | ) |
| inline

Copy constructor.

Definition at line 2275 of file TPVelocityModels.h.

## ◆ ~VZero()

template<class V >

virtual taup::VZero< V >::~VZero | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 2278 of file TPVelocityModels.h.

## Member Function Documentation

## ◆ operator()()

template<class V >

double taup::VZero< V >::operator() | ( | double | r | ) |
| inline

Standard operator() overload which returns the zero of r - p * vel(r). This function is used to zero-in on a value for the radius (r) given a ray parameter and a velocity model.

Definition at line 2292 of file TPVelocityModels.h.

## ◆ operator=()

template<class V >

VZero& taup::VZero< V >::operator= | ( | const VZero< V > & | vz | ) |
| inline

Assignment operator.

Definition at line 2283 of file TPVelocityModels.h.

The documentation for this class was generated from the following file:

- rstt/SLBM/include/TPVelocityModels.h